C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Users.AuthenticationMethods.DeleteAsync(
"id",
"authentication_method_id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Users.AuthenticationMethods.Delete(
context.TODO(),
"id",
"authentication_method_id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.users().authenticationMethods().delete("id", "authentication_method_id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->users->authenticationMethods->delete(
'id',
'authentication_method_id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.users.authentication_methods.delete(
id="id",
authentication_method_id="authentication_method_id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.users.authentication_methods.delete(
id: "id",
authentication_method_id: "authentication_method_id"
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.delete("id", "authentication_method_id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.delete("id", "authentication_method_id");
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/users/{id}/authentication-methods/{authentication_method_id} \
--header 'Authorization: Bearer <token>'Delete an authentication method by ID
Remove the authentication method with the given ID from the specified user. For more information, review Manage Authentication Methods with Management API.
DELETE
https://{tenantDomain}/api/v2
/
users
/
{id}
/
authentication-methods
/
{authentication_method_id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Users.AuthenticationMethods.DeleteAsync(
"id",
"authentication_method_id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Users.AuthenticationMethods.Delete(
context.TODO(),
"id",
"authentication_method_id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.users().authenticationMethods().delete("id", "authentication_method_id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->users->authenticationMethods->delete(
'id',
'authentication_method_id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.users.authentication_methods.delete(
id="id",
authentication_method_id="authentication_method_id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.users.authentication_methods.delete(
id: "id",
authentication_method_id: "authentication_method_id"
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.delete("id", "authentication_method_id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.delete("id", "authentication_method_id");
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/users/{id}/authentication-methods/{authentication_method_id} \
--header 'Authorization: Bearer <token>'Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
The ID of the user in question.
The ID of the authentication method to delete.
Réponse
Authentication method successfully deleted.
Cette page vous a-t-elle été utile ?
⌘I